ecasoundrc(5)

NAME
ecasoundrc - ecasound rcfile

SYNOPSIS
{prefix}/share/ecasound/ecasoundrc (for instance '/usr/local/share/ecasound/ecasoundrc') $HOME/.ecasound/ecasoundrc

DESCRIPTION

ecasoundrc is the main configuration file for ecasound. Any user-specific modification should be done to $HOME/.ecasound/ecasoundrc, not to the global resource file. Ecasound also allows to disable the normal policy and only read from a specific resource file (see ecasound (1) and documentation for the -R option).

The format is quite simple. One line consists of a configuration variable and its value. Variable and value are separated with either '=' or ' '. Lines beginning with a "#" are ignored (comment lines).

VARIABLES

midi-device
    MIDI-device. If the device name is given in rawmidi,/dev/midi* format, OSS/Linux or OSS/Lite drivers are used. Device rawmidi,/dev/snd/midiCxDy opens an ALSA raw-MIDI device with card number 'x' and device number 'y'. See ecasound (1) man page (the '-Md option) for more info. Defaults to rawmidi,/dev/midi.

default-output
    Output device to use by default. If a chainsetup with zero outputs, but with one or more inputs, is connected, a default output is added and all the chains are connected to it. If the special-case value 'autodetect' is specified, ecasound will try to auto-detect a suitable device (JACK -> ALSA -> OSS -> rtnull). Defaults to autodetect.

default-audio-format
    Default values for sample format, channel count, sampling rate and channel interleaving. Syntax is the same as used by ecasound's -f option (see ecasound (1)). Defaults to s16_le,2,44100,i.

default-to-precise-sample-rates
    Whether to ignore sample rate differences (and possibly avoid resampling). Currently only affects OSS-devices. Defaults to false.

default-mix-mode
    If default-mix-mode is sum, engine will mix multiple channels into one output channel by summing all input channels. In mode avg, mixing is done by taking the average of all input channels. The avg mode is safe from clipping, while sum is closer to the way analog mixers work. Defaults to avg.

bmode-defaults-nonrt
    Selects the default parameters to use with buffering mode 'nonrt' (other modes are 'rt' and 'rtlowlatency). Parameters are given as a comma-separated tuple of values: 1) buffersize (number,-b), 2) raised priority (true/false,-r), 3) sched_priority (number,-r:X), 4) double buffering (true/false,-z:db), 5) db-bufsize (number,-z:db,X), and 6) max intbuf (true/false,-z:intbuf). Defaults to 1024,false,50,false,100000,true.

bmode-defaults-rt
    See 'bmode-defaults-nonrt'. Defaults to 1024,true,50,true,100000,true.

bmode-defaults-rtlowlatency
    See 'bmode-defaults-nonrt'. Defaults to 256,true,50,true,100000,false.

resource-directory
    Directory for global ecasound configuration files. Defaults to {prefix-dir}/share/ecasound. Note! User-specific resource files can be be stored to '$(HOME)/.ecasound/'. For instance you can add your own presets definitions to '$(HOME)/.ecasound/effect_presets'.

resource-file-genosc-envelopes
    Configuration file for generic oscillators. Is located in the resource directory. Defaults to generic_oscillators.

resource-file-effect-presets
    Configuration file for effect presets. Is located in the resource directory. Defaults to effect_presets.

ladspa-plugin-directory
    Directory containing LADSPA effect plugins. Defaults to {prefix-dir}/lib/ladspa. If environment variable LADSPA_PATH exists, directories specified in it are automatically searched for plugins. Note! To match the syntax of the LADSPA_PATH environment variable, 'ladspa-plugin-directory' can contain multiple directories, separated by ':' characters.

ext-cmd-text-editor
    If ext-cmd-text-editor-use-getenv is false or "EDITOR" is null, value of this field is used. Defaults to pico.

ext-cmd-text-editor-use-getenv
    Should ecasound try to query environment variable "EDITOR". Defaults to true.

ext-cmd-wave-editor
    Command line for executing an external wave editor. Defaults to snd.

ext-cmd-mp3-input
    Command for starting mp3 input. Ecasound expects that signed, 16bit, stereo audio samples are written to standard output.
    Ecasound will query other audio    format parameters by parsing
    the mp3 file header. Before execution, %f is replaced with path to the input mp3. If exists, "%o" is replaced with he start offset in mp3 frames. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to mpg123 --stereo -r -b 0 -q -s -k %o %f.

ext-cmd-mp3-output
    Command for starting mp3 output. Ecasound will write stereo, signed, 16bit, little-endian samples to standard output. Sample rate is configurable. Before execution, %f is replaced with path to the output mp3, %S with sample rate in kHz, and %B with encoding bitrate in kbps. Double-quotes and backslash-espacing can be used to include white-space to individual parameters.Defaults to lame -b %B -s %S -x -S - %f.

ext-cmd-ogg-input
    Command for starting Ogg Vorbis input. Ecasound expects that audio samples are written to standard output. It should be noted that Ecasound is not able to query the audio format parameters from ogg files, so these need to be set manually by the user. Before execution, %f is replaced with path to the input ogg. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to ogg123 -d raw -o byteorder:%E --file=- %f.

ext-cmd-ogg-output
    Command for starting Ogg Vorbis output. Ecasound will write samples in little-endian format to standard output. Other audio parameters are configurable. Before execution, %f is replaced with path to the output ogg, %c, %s and %b with matching audio format parameters, and %B with encoding bitrate in kbps. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to oggenc -b %B --raw --raw-bits=%b --raw-chan=%c --raw-rate=%s --raw-endianness 0 --output=%f -.

ext-cmd-mikmod
    Command for starting mikmod input. Ecasound expects that signed, 16bit, stereo audio samples are written to standard output. Before execution, %f is replaced with file path, and %s with selected sample rate. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to mikmod -d stdout -o 16s -q -f %s -p 0 --noloops %f.

ext-cmd-timidity
    Command for starting timidity++ input. Ecasound expects that signed, 16bit, stereo audio samples are written to standard output. Before execution, %f is replaced with file path, and %s with sample rate. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to timidity -Or1S -id -s %s -o - %f.

ext-cmd-flac-input
    Command for starting FLAC input. Ecasound expects that audio samples are written to standard output. It should be noted that Ecasound is not able to query the audio format parameters from FLAC files, so these need to be set manually by the user. Before execution, %f is replaced with path to the input FLAC file. Double-quotes and backslash-espacing can be used to include white-space to individual parameters.Defaults to flac -d -c %f.

ext-cmd-flac-output
    Command for starting FLAC output. Ecasound will write samples to standard output. All audio parameters are configurable. Before execution, %f is replaced with path to the output flac, %c, %b and %s with matching audio format parameters, %I with either 'signed' or 'unsigned', and %E with either 'little' or 'big'. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to flac -o %f --force-raw-format --channels=%c --bps=%b --sample-rate=%s --sign=%I --endian=%E -.

ext-cmd-aac-input
    Command for starting AAC input. Ecasound expects that signed, 16bit, stereo, big-endian audio samplesare written to standard
    output. It should be noted that    Ecasound is not able to query
    the input sample rate, so this needs to be set manually by the user. Before execution, %f is replaced with path to the input AAC file. Note! FAAC must be compiled with MP4 support. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to faad -w -b 1 -f 2 -d %f.

ext-cmd-aac-output
    Command for starting AAC output. Ecasound will write big-endian audio samples to standard output. All other audio parameters are configurable. Before execution, %f is replaced with path to the output AAC file, %c, %b and %s with matching audio format parameters. Note! FAAC must be compiled with MP4 support. Double-quotes and backslash-espacing can be used to include white-space to individual parameters. Defaults to faac -P -o %f -R %s -B %b -C %c -.

SEE ALSO

ecasound (1), ecatools (1), ecasound-iam (1)

AUTHOR

Kai Vehmanen, <kvehmanen -at- eca -dot- cx <kvehmanen -at- eca -dot- cx>>